# ProductGroup

ProductGroup

## List product groups

> List all product groups.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"ProductGroup","description":"ProductGroup"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"parameters":{"productGroupNameQuery":{"description":"Reference to the name of a product group.","in":"query","name":"productGroupName","required":false,"schema":{"type":"string"}},"productGroupExternalIdQuery":{"description":"External reference to a product group.","in":"query","name":"productGroupExternalId","required":false,"schema":{"type":"string"}},"pageNumberQuery":{"description":"Reference to a specific page in a result set.","in":"query","name":"pageNumber","required":false,"schema":{"type":"integer"}},"pageSizeQuery":{"description":"The number of items per page in a result set.","in":"query","name":"pageSize","required":false,"schema":{"type":"integer"}},"sortByQuery":{"description":"Defines which field the resource list is sorted by.","in":"query","name":"sortBy","required":false,"schema":{"type":"string"}},"sortDirectionQuery":{"description":"Reference to a sort direction","explode":false,"in":"query","name":"sortDirection","schema":{"$ref":"#/components/schemas/SortDirectionENUM"},"style":"form"},"productGroupScopesQuery":{"name":"productGroupScopes","in":"query","required":false,"schema":{"items":{"$ref":"#/components/schemas/ProductGroupScopeENUM"},"type":"array"},"description":"Filter by scope"}},"schemas":{"SortDirectionENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| ASC | Sort in ascending order|\n| DESC | Sort in descending order|\n","enum":["ASC","DESC"],"title":"SortDirectionENUM","type":"string"},"ProductGroupScopeENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| SALE | Sale product scope. Default|\n| SERVICE | Service product scope|\n| NO_SEARCH | Not visible in search scope|\n","minLength":1,"title":"ProductGroupScopeENUM","type":"string","enum":["SALE","SERVICE","NO_SEARCH"]},"ProductGroupResponseSchema":{"title":"ProductGroupResponseSchema","type":"object","properties":{"createdAt":{"format":"date-time","type":"string"},"externalId":{"type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"name":{"type":"string"},"parentUid":{"$ref":"#/components/schemas/OptionalUID"},"productCount":{"description":"Number of products in this productGroup.","type":"integer"},"productGroupUid":{"$ref":"#/components/schemas/UID"},"scope":{"$ref":"#/components/schemas/ProductGroupScopeENUM"}},"required":["createdAt","externalId","lastModifiedAt","name","parentUid","productCount","productGroupUid","scope"]},"OptionalUID":{"title":"OptionalUID","type":"string","pattern":"^[A-Za-z0-9-_]*"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"Paging":{"description":"totalCount The total number of items in the result set.\n\npageSize The number of items per page.\n\npageNumber The current page in the result set.","properties":{"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"totalCount":{"type":"integer"}},"required":["totalCount","pageSize","pageNumber"],"title":"Paging","type":"object"}},"responses":{"ProductGroupListResponse":{"content":{"application/json":{"schema":{"properties":{"items":{"items":{"$ref":"#/components/schemas/ProductGroupResponseSchema"},"type":"array"},"paging":{"$ref":"#/components/schemas/Paging"}},"required":["items","paging"],"type":"object"}}},"description":"List of product groups"}}},"paths":{"/tenants/{tenantUid}/product-groups":{"get":{"description":"List all product groups.","operationId":"get-tenants-product-groups","parameters":[{"$ref":"#/components/parameters/productGroupNameQuery"},{"$ref":"#/components/parameters/productGroupExternalIdQuery"},{"$ref":"#/components/parameters/pageNumberQuery"},{"$ref":"#/components/parameters/pageSizeQuery"},{"$ref":"#/components/parameters/sortByQuery"},{"$ref":"#/components/parameters/sortDirectionQuery"},{"$ref":"#/components/parameters/productGroupScopesQuery"}],"responses":{"200":{"$ref":"#/components/responses/ProductGroupListResponse"}},"summary":"List product groups","tags":["ProductGroup"]}}}}
```

## Create new product group

> Creates a new product group.\
> \
> If parentUid is set and no scope is set, the new product group inherits scope from parent.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"ProductGroup","description":"ProductGroup"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"ProductGroupCreateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductGroupCreateRequestSchema"}}}}},"schemas":{"ProductGroupCreateRequestSchema":{"allOf":[{"$ref":"#/components/schemas/ProductGroupUpdateRequestSchema"},{"properties":{"productGroupUid":{"$ref":"#/components/schemas/UID"}}}],"type":"object","title":"ProductGroupCreateRequestSchema"},"ProductGroupUpdateRequestSchema":{"title":"ProductGroupUpdateRequestSchema","type":"object","properties":{"externalId":{"type":"string"},"name":{"type":"string"},"parentUid":{"$ref":"#/components/schemas/OptionalUID"},"scope":{"$ref":"#/components/schemas/ProductGroupScopeENUM"}},"required":["name"]},"OptionalUID":{"title":"OptionalUID","type":"string","pattern":"^[A-Za-z0-9-_]*"},"ProductGroupScopeENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| SALE | Sale product scope. Default|\n| SERVICE | Service product scope|\n| NO_SEARCH | Not visible in search scope|\n","minLength":1,"title":"ProductGroupScopeENUM","type":"string","enum":["SALE","SERVICE","NO_SEARCH"]},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"ProductGroupResponseSchema":{"title":"ProductGroupResponseSchema","type":"object","properties":{"createdAt":{"format":"date-time","type":"string"},"externalId":{"type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"name":{"type":"string"},"parentUid":{"$ref":"#/components/schemas/OptionalUID"},"productCount":{"description":"Number of products in this productGroup.","type":"integer"},"productGroupUid":{"$ref":"#/components/schemas/UID"},"scope":{"$ref":"#/components/schemas/ProductGroupScopeENUM"}},"required":["createdAt","externalId","lastModifiedAt","name","parentUid","productCount","productGroupUid","scope"]}},"responses":{"ProductGroupResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductGroupResponseSchema"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/product-groups":{"post":{"description":"Creates a new product group.\n\nIf parentUid is set and no scope is set, the new product group inherits scope from parent.","operationId":"post-tenants-product-groups","requestBody":{"$ref":"#/components/requestBodies/ProductGroupCreateRequest"},"responses":{"200":{"$ref":"#/components/responses/ProductGroupResponse"}},"summary":"Create new product group","tags":["ProductGroup"]}}}}
```

## Get productgroup details

> Get details for a product group.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"ProductGroup","description":"ProductGroup"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"ProductGroupResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductGroupResponseSchema"}}},"description":"Example response"}},"schemas":{"ProductGroupResponseSchema":{"title":"ProductGroupResponseSchema","type":"object","properties":{"createdAt":{"format":"date-time","type":"string"},"externalId":{"type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"name":{"type":"string"},"parentUid":{"$ref":"#/components/schemas/OptionalUID"},"productCount":{"description":"Number of products in this productGroup.","type":"integer"},"productGroupUid":{"$ref":"#/components/schemas/UID"},"scope":{"$ref":"#/components/schemas/ProductGroupScopeENUM"}},"required":["createdAt","externalId","lastModifiedAt","name","parentUid","productCount","productGroupUid","scope"]},"OptionalUID":{"title":"OptionalUID","type":"string","pattern":"^[A-Za-z0-9-_]*"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"ProductGroupScopeENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| SALE | Sale product scope. Default|\n| SERVICE | Service product scope|\n| NO_SEARCH | Not visible in search scope|\n","minLength":1,"title":"ProductGroupScopeENUM","type":"string","enum":["SALE","SERVICE","NO_SEARCH"]}}},"paths":{"/tenants/{tenantUid}/product-groups/{productGroupUid}":{"get":{"description":"Get details for a product group.","operationId":"get-tenants-product-groups-details","responses":{"200":{"$ref":"#/components/responses/ProductGroupResponse"}},"summary":"Get productgroup details","tags":["ProductGroup"]}}}}
```

## Update product group

> Update details for a product group. Partial updates are allowed.\
> \
> If scope is set and different from current scope, the scope is changed for product group and all children for this product group.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"ProductGroup","description":"ProductGroup"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"ProductGroupUpdateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductGroupUpdateRequestSchema"}}}}},"schemas":{"ProductGroupUpdateRequestSchema":{"title":"ProductGroupUpdateRequestSchema","type":"object","properties":{"externalId":{"type":"string"},"name":{"type":"string"},"parentUid":{"$ref":"#/components/schemas/OptionalUID"},"scope":{"$ref":"#/components/schemas/ProductGroupScopeENUM"}},"required":["name"]},"OptionalUID":{"title":"OptionalUID","type":"string","pattern":"^[A-Za-z0-9-_]*"},"ProductGroupScopeENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| SALE | Sale product scope. Default|\n| SERVICE | Service product scope|\n| NO_SEARCH | Not visible in search scope|\n","minLength":1,"title":"ProductGroupScopeENUM","type":"string","enum":["SALE","SERVICE","NO_SEARCH"]},"ProductGroupResponseSchema":{"title":"ProductGroupResponseSchema","type":"object","properties":{"createdAt":{"format":"date-time","type":"string"},"externalId":{"type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"name":{"type":"string"},"parentUid":{"$ref":"#/components/schemas/OptionalUID"},"productCount":{"description":"Number of products in this productGroup.","type":"integer"},"productGroupUid":{"$ref":"#/components/schemas/UID"},"scope":{"$ref":"#/components/schemas/ProductGroupScopeENUM"}},"required":["createdAt","externalId","lastModifiedAt","name","parentUid","productCount","productGroupUid","scope"]},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"}},"responses":{"ProductGroupResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductGroupResponseSchema"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/product-groups/{productGroupUid}":{"put":{"description":"Update details for a product group. Partial updates are allowed.\n\nIf scope is set and different from current scope, the scope is changed for product group and all children for this product group.","operationId":"put-tenants-product-groups-details","requestBody":{"$ref":"#/components/requestBodies/ProductGroupUpdateRequest"},"responses":{"200":{"$ref":"#/components/responses/ProductGroupResponse"}},"summary":"Update product group","tags":["ProductGroup"]}}}}
```

## Delete product group

> Deletes a product group. The product group has to be empty.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"ProductGroup","description":"ProductGroup"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}}},"paths":{"/tenants/{tenantUid}/product-groups/{productGroupUid}":{"delete":{"description":"Deletes a product group. The product group has to be empty.","operationId":"delete-tenants-product-groups-details","responses":{"204":{"description":"No Content"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"summary":"Delete product group","tags":["ProductGroup"]}}}}
```

## List all links for a product group.

> List all links for a product group.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"ProductGroup","description":"ProductGroup"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"parameters":{"productGroupLinkTypeQuery":{"description":"Reference to a productGroupLinkType.","explode":false,"in":"query","name":"productGroupLinkType","schema":{"$ref":"#/components/schemas/ProductGroupLinkTypeENUM"},"style":"form"},"pageNumberQuery":{"description":"Reference to a specific page in a result set.","in":"query","name":"pageNumber","required":false,"schema":{"type":"integer"}},"pageSizeQuery":{"description":"The number of items per page in a result set.","in":"query","name":"pageSize","required":false,"schema":{"type":"integer"}},"sortByQuery":{"description":"Defines which field the resource list is sorted by.","in":"query","name":"sortBy","required":false,"schema":{"type":"string"}},"sortDirectionQuery":{"description":"Reference to a sort direction","explode":false,"in":"query","name":"sortDirection","schema":{"$ref":"#/components/schemas/SortDirectionENUM"},"style":"form"}},"schemas":{"ProductGroupLinkTypeENUM":{"enum":["INSURANCE","SERVICE","ACCESSORY"],"title":"ProductGroupLinkTypeENUM","type":"string"},"SortDirectionENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| ASC | Sort in ascending order|\n| DESC | Sort in descending order|\n","enum":["ASC","DESC"],"title":"SortDirectionENUM","type":"string"},"ProductGroupLinkResponseSchema":{"title":"ProductGroupLinkResponseSchema","allOf":[{"properties":{"productGroupLinkUid":{"$ref":"#/components/schemas/UID"}},"required":["productGroupLinkUid"],"type":"object"},{"$ref":"#/components/schemas/ProductGroupLinkRequestSchema"}]},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"ProductGroupLinkRequestSchema":{"title":"ProductGroupLinkRequestSchema","type":"object","properties":{"linkType":{"$ref":"#/components/schemas/ProductGroupLinkTypeENUM"},"productGroupLinkUid":{"$ref":"#/components/schemas/UID"},"productUid":{"$ref":"#/components/schemas/UID"}},"required":["linkType","productUid"]},"Paging":{"description":"totalCount The total number of items in the result set.\n\npageSize The number of items per page.\n\npageNumber The current page in the result set.","properties":{"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"totalCount":{"type":"integer"}},"required":["totalCount","pageSize","pageNumber"],"title":"Paging","type":"object"}},"responses":{"ProductGroupLinkListResponse":{"content":{"application/json":{"schema":{"properties":{"items":{"items":{"$ref":"#/components/schemas/ProductGroupLinkResponseSchema"},"type":"array"},"paging":{"$ref":"#/components/schemas/Paging"}},"required":["items","paging"],"type":"object"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/product-groups/{productGroupUid}/links":{"get":{"description":"List all links for a product group.","operationId":"get-product-group-links","parameters":[{"$ref":"#/components/parameters/productGroupLinkTypeQuery"},{"$ref":"#/components/parameters/pageNumberQuery"},{"$ref":"#/components/parameters/pageSizeQuery"},{"$ref":"#/components/parameters/sortByQuery"},{"$ref":"#/components/parameters/sortDirectionQuery"}],"responses":{"200":{"$ref":"#/components/responses/ProductGroupLinkListResponse"}},"summary":"List all links for a product group.","tags":["ProductGroup"]}}}}
```

## Create new link to a product group

> Create new link to a product group\
> \
> Require role tenant admin

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"ProductGroup","description":"ProductGroup"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"authToken":[]},{"integrationToken":[]},{"accessToken":[]}],"components":{"securitySchemes":{"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"},"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"}},"requestBodies":{"ProductGroupLinkRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductGroupLinkRequestSchema"}}}}},"schemas":{"ProductGroupLinkRequestSchema":{"title":"ProductGroupLinkRequestSchema","type":"object","properties":{"linkType":{"$ref":"#/components/schemas/ProductGroupLinkTypeENUM"},"productGroupLinkUid":{"$ref":"#/components/schemas/UID"},"productUid":{"$ref":"#/components/schemas/UID"}},"required":["linkType","productUid"]},"ProductGroupLinkTypeENUM":{"enum":["INSURANCE","SERVICE","ACCESSORY"],"title":"ProductGroupLinkTypeENUM","type":"string"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"ProductGroupLinkResponseSchema":{"title":"ProductGroupLinkResponseSchema","allOf":[{"properties":{"productGroupLinkUid":{"$ref":"#/components/schemas/UID"}},"required":["productGroupLinkUid"],"type":"object"},{"$ref":"#/components/schemas/ProductGroupLinkRequestSchema"}]}},"responses":{"ProductGroupLinkResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductGroupLinkResponseSchema"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/product-groups/{productGroupUid}/links":{"post":{"description":"Create new link to a product group\n\nRequire role tenant admin","operationId":"post-product-group-links","requestBody":{"$ref":"#/components/requestBodies/ProductGroupLinkRequest"},"responses":{"200":{"$ref":"#/components/responses/ProductGroupLinkResponse"}},"summary":"Create new link to a product group","tags":["ProductGroup"]}}}}
```

## Get Product Group link details

> Get Product group link details

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"ProductGroup","description":"ProductGroup"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"ProductGroupLinkResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductGroupLinkResponseSchema"}}},"description":"Example response"}},"schemas":{"ProductGroupLinkResponseSchema":{"title":"ProductGroupLinkResponseSchema","allOf":[{"properties":{"productGroupLinkUid":{"$ref":"#/components/schemas/UID"}},"required":["productGroupLinkUid"],"type":"object"},{"$ref":"#/components/schemas/ProductGroupLinkRequestSchema"}]},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"ProductGroupLinkRequestSchema":{"title":"ProductGroupLinkRequestSchema","type":"object","properties":{"linkType":{"$ref":"#/components/schemas/ProductGroupLinkTypeENUM"},"productGroupLinkUid":{"$ref":"#/components/schemas/UID"},"productUid":{"$ref":"#/components/schemas/UID"}},"required":["linkType","productUid"]},"ProductGroupLinkTypeENUM":{"enum":["INSURANCE","SERVICE","ACCESSORY"],"title":"ProductGroupLinkTypeENUM","type":"string"}}},"paths":{"/tenants/{tenantUid}/product-groups/{productGroupUid}/links/{productGroupLinkUid}":{"get":{"description":"Get Product group link details","operationId":"get-product-group-link-details","responses":{"200":{"$ref":"#/components/responses/ProductGroupLinkResponse"}},"summary":"Get Product Group link details","tags":["ProductGroup"]}}}}
```

## Delete a product group link

> Delete a product group link\
> \
> Require role tenant admin

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"ProductGroup","description":"ProductGroup"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"authToken":[]},{"integrationToken":[]},{"accessToken":[]}],"components":{"securitySchemes":{"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"},"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"}}},"paths":{"/tenants/{tenantUid}/product-groups/{productGroupUid}/links/{productGroupLinkUid}":{"delete":{"description":"Delete a product group link\n\nRequire role tenant admin","operationId":"delete-product-group-link","responses":{"204":{"description":"No Content"}},"summary":"Delete a product group link","tags":["ProductGroup"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flowretail.com/docs/developers/api-documentation/productgroup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
